Subject: RE: cygwin + win95: make boot-SRC-3.3-Modula-3-ERRORS
From: [email-masked] (Bates, Rod)

12 Dec 1998 00:26:54 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "[email-masked]'" <[email-masked]>

My recollection of the details is somewhat vague, but I
remember struggling with undefined link symbols, including
these same ones.  I was building the pm1.1.7 boot on NT.

Do you by chance have gnat installed?  It sets up PATH
differently from cygwin, giving different executables for
gcc and/or ld, or other things, which in turn look in
different places in different orders for things to link to.

I recall I did a lot of experiments on path ordering,
gcc-generated ld commands, etc.  I now have two scripts
which change PATH:

bash-2.01$ cat tocygwin
export PATH="/USR/pm3/bin:/Cygnus/B19/H-i386-cygwin32/bin:/bin:\
/USR/bin:/WINNTW4/system32:/WINNT4:/PROGRA~1/Extra

bash-2.01$ cat tognat

export PATH="/USR/bin:/USR/pm3/bin:/Cygnus/B19/H-i386-cygwin32/bin:\
/bin:/WINNTW4/system32:/WINNT4:/PROGRA~1/Extra!6.2"

(backslashes added to make lines fit)

One additional complication: I compiled a program with a mixture
of Ada and Modula-3 code in a single executable.  It worked
without a hitch on Linux, but I had an awful time getting it
to link on NT.  

Klaus Reinhardt wrote:
> 
> ----------------- mailto:[email-masked] start -------------------
> Hello!
> 
> I tried to compile boot-LINUX (SRC 3.6 Modula-3) with gcc from cygwin
> under Win-95. After a few sym-links I was happy to see compiling,
> but the big end:
> 
> ...
> ext+0x34b7): undefined reference to `errno'
> RTThreadC.c: undefined reference to `__setjmp'
> TThreadC.c: undefined reference to `__longjmp'
> 
> Well, I havn't Linux, but a lot is going.. -).
> Who can help?
> 
>                 Thanks Klaus
> ----------------- mailto:[email-masked] !end! -------------------
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".